Index: luci/Makefile
===================================================================
--- luci/Makefile	(revision 6426)
+++ luci/Makefile	(working copy)
@@ -758,7 +758,18 @@
 	$(call Package/luci/install/template,$(1),themes/openwrt-light)
 endef
 
+#&&&+++
+define Package/luci-theme-hamnet
+  $(call Package/luci/thtemplate)
+  TITLE:=HAMNET Theme
+  DEPENDS:=+luci-theme-base
+endef
 
+define Package/luci-theme-hamnet/install
+	$(call Package/luci/install/template,$(1),themes/hamnet)
+endef
+#&&&---
+
 ### Translations ###
 define Package/luci-i18n-german
   $(call Package/luci/i18ntemplate)
@@ -1080,7 +1091,11 @@
 ifneq ($(CONFIG_PACKAGE_luci-theme-openwrtlight),)
 	PKG_SELECTED_MODULES+=themes/openwrt-light
 endif
-
+#&&&+++
+ifneq ($(CONFIG_PACKAGE_luci-theme-openwrtlight),)
+	PKG_SELECTED_MODULES+=themes/hamnet
+endif
+#&&&---
 ifneq ($(CONFIG_PACKAGE_luci-i18n-german),)
 	PKG_SELECTED_MODULES+=i18n/german
 endif
@@ -1181,6 +1196,8 @@
 $(eval $(call BuildPackage,luci-theme-freifunk-hannover))
 $(eval $(call BuildPackage,luci-theme-openwrt))
 $(eval $(call BuildPackage,luci-theme-openwrtlight))
+#&&&
+$(eval $(call BuildPackage,luci-theme-hamnet))
 
 $(eval $(call BuildPackage,luci-i18n-german))
 $(eval $(call BuildPackage,luci-i18n-english))
